Base Distribution - Task # 48068

Work Package # 47023 (Accepted): Global user interface

Status: Closed Priority: Should have
Author: Aske Ertmann Category: Global User Interface
Created: 2013-05-08 Assigned To: Mattias Nilsson
Updated: 2014-11-02 Due date:

Subject: Menu component

Description

Implement a menu component aligned to the left side of the viewport. The menu contains a list of two main modules "Edit content" and

"Dashboard" as well as shortcuts and modules.
Specification:
- Edit content button
- Dashboard button
- Shortcuts (section)
- Main modules and first level sub modules (sections)
- Collapse/expand button for each "section”
- Remember states (like the inspector groups)
- Menu toggle button
- Active state when toggled
- Toggle with click (maybe hover as well, needs some real tests)
- Overlays other Ul elements and the page
- Does not add left margin to the body
- Toggle animation is slide out/in from left
- Position fixed with 100 % height
- Content not visible can be viewed by scrolling
- Create separate SCSS file for all CSS
- Create separate JavaScript file for the component

Subtasks:
Task # 49850: Condensed sticky menu Closed
Associated revisions
Revision a1cdd676 - 2013-07-07 03:17 - Mattias Nilsson
[M][TASK] Add menu component
Adds a menu panel that contains all the menu
components in Neos.
Change-Id: 130e7e922f1fca82cc76720b9123cec0cd00b3881
Resolves: #48068
Reviewed-on: https://review.typo3.org/21092
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
Revision 93ee11e7 - 2013-07-10 09:35 - Christopher Hlubek
[BUGFIX] Fix menu and backend URI generation for multiple sites
This change allows to have multiple sites and enables linking to them
if an active domain is present on a site. The cached resource is
updated whenever a Site or Domain is updated through the configuration

cache version.

A site without an active domain will be shown as disabled in the menu,

because we cannot link to it (for now).

Change-Id: 1a487671edd64da0cfbadf591dd3c4961d18e9132
Related: #48068
Reviewed-on: https://review.typo3.org/22120

Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision 08f27ee5 - 2013-07-10 09:40 - Aske Ertmann

[BUGFIX] Fix active state of modules in menu component

Change-Id: 1583603fcf14fb82027aff2838875df49866dde64

Related: #48068
Reviewed-on: https://review.typo3.org/22103

Reviewed-by: Christopher Hlubek

Tested-by: Christopher Hlubek

Revision ab4bed3e - 2013-07-10 16:27 - Aske Ertmann

[BUGFIX] Remove auto expanding of menu component

Change-Id: 1362594aeecfae7c1053fc43749622b85c4a8d7e9

Related: #48068
Reviewed-on: https://review.typo3.org/22132

Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Tim Kandel
Tested-by: Tim Kandel
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

Revision e2468dee - 2013-07-11 09:23 - Aske Ertmann

[TASK] Styling adjustments to menu component

Change-Id: 16726b56b6a2417e443aaec050146a425cdb9a5e0

Related: #48068
Reviewed-on: https://review.typo3.org/22180

Reviewed-by: Aske Ertmann

2015-08-04 2/7


https://review.typo3.org/22120
https://review.typo3.org/22103
https://review.typo3.org/22132
https://review.typo3.org/22180

Tested-by: Aske Ertmann
Tested-by: Mr. Hudson
Reviewed-by: Christopher Hlubek

Revision aefd5db5 - 2013-07-13 16:19 - Christian Miiller

[BUGFIX] Nodes from template should appear in same workspace

A Node created from a NodeTemplate is now in the workspace of

the context attached to the Node on which createNodeFromTemplate

is called.

Change-Id: 1d3e0730f15a61b2c36d55ce631244b1ad7ec4fec

Related: #48068
Reviewed-on: https://review.typo3.org/22205

Reviewed-by: Aske Ertmann

Tested-by: Aske Ertmann

Revision d251115b - 2013-07-13 16:25 - Christopher Hlubek

[TASK] Only show sites with status "online" in the menu

Change-Id: I1d6c098f10d3ba278b8d188134b763422b9429b2f

Related: #48068
Reviewed-on: https://review.typo3.org/22199

Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 528976 - 2013-08-28 18:21 - Aske Ertmann

[TASK] Move menu button into top bar dom

Change-Id: 16883c7e7ab73f19b710fabe0779e0f7296429c10
Related: #48068

Reviewed-on: https://review.typo3.0rg/23429

Tested-by: Mr. Hudson

Reviewed-by: Mattias Nilsson

Tested-by: Mattias Nilsson
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History

#1 - 2013-05-08 21:53 - Rasmus Skjoldan
- Status changed from New to Accepted
- Assigned To deleted (Rasmus Skjoldan)

#2 - 2013-05-16 19:01 - Mattias Nilsson
- Assigned To set to Mattias Nilsson
#3 - 2013-05-16 20:03 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20843

#4 - 2013-05-16 21:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20843

#5 - 2013-05-16 22:31 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20843

#6 - 2013-05-17 10:23 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20843

#7 - 2013-05-17 14:05 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20843

#8 - 2013-05-17 14:17 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20843

#9 - 2013-05-17 15:51 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20843

#10 - 2013-05-23 16:05 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20843

#11 - 2013-05-24 19:19 - Jacob Floyd

Should this say that the menu is aligned to the top of the viewport? The Navigate component is aligned to the left. Or are both Navigate and Menu
aligned to the left like TYPO3 CMS?
#12 - 2013-05-25 12:08 - Aske Ertmann

Hey Jacob

Jacob Floyd wrote:

Should this say that the menu is aligned to the top of the viewport? The Navigate component is aligned to the left. Or are both Navigate and Menu

aligned to the left like TYPO3 CMS?

No it's correct because they're both aligned to the left. The Menu component overlaps the navigate component if both are opened at the same time. If
you'd like a more detailed explanation please let me know, otherwise you will be able to see it in action within a couple of weeks.

#13 - 2013-05-27 20:35 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#14 - 2013-05-28 16:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21092

#15 - 2013-05-29 19:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21092

#16 - 2013-06-13 18:23 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#17 - 2013-06-15 10:35 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21092

#18 - 2013-06-21 16:02 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21092

#19 - 2013-06-28 16:19 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21092

#20 - 2013-06-29 18:51 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21092

#21 - 2013-07-02 14:42 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21092

#22 - 2013-07-03 14:09 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#23 - 2013-07-03 19:02 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#24 - 2013-07-04 14:24 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#25 - 2013-07-05 09:14 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#26 - 2013-07-05 12:31 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#27 - 2013-07-05 16:57 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#28 - 2013-07-05 17:02 - Gerrit Code Review
Patch set 16 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21092

#29 - 2013-07-05 18:25 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#30 - 2013-07-06 17:35 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#31 - 2013-07-06 18:13 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21092

#32 - 2013-07-07 02:30 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#33 - 2013-07-07 03:16 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21092

#34 - 2013-07-07 03:38 - Mattias Nilsson
- Status changed from Accepted to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:alcdd676eb526c7f6a0337d7113838562474f707.

#35 - 2014-11-02 18:24 - Aske Ertmann
- Status changed from Resolved to Closed
- Estimated time set to 0.00
